config/routes.rb
Rails.application.routes.draw do

  devise_for :clients, controllers: {
               registrations: 'clients/registrations'
             }

  get 'operations/check_balance', to: 'operations#check_balance', as: 'check_balance'
  get 'operations/transaction', to: 'operations#transaction', as: 'transaction'
  post 'operations/create_transfer', to: 'operations#create_transfer', as: 'create_transfer'

  root to: 'home#index'
end

app/views/shared/_error_messages.html.haml
- if model.errors.any?
  .panel.panel-danger
    .panel-heading
      %h3.panel-title
        = title_error_for model
    .panel-body
      %ul
        - model.errors.full_messages.each do |message|
          %li= message

app/views/shared/_flash_messages.html.haml
#flash-container
  - flash.each do |name, msg|
    - options = BankAccounting::Constants::FLASH_MESSAGES[ name.to_sym ]
    - klass = "alert-#{options[:body]}"

    .alert.alert-dismissable.fade.in{ class: klass, role: 'alert' }
      %button.close{ type: 'button', 'data-dismiss' => 'alert' }
        = icon :times, ''
      = icon options[:icon], msg

app/views/shared/_footer.html.haml
%footer
  .container
    .form-group
      %label.control-label= t 'footer.change_label'
      .dropup
        %button.btn.btn-default.dropdown-toggle{ 'data-toggle' => 'dropdown' }
          = t 'footer.change_button'
          %span.caret
        %ul.dropdown-menu
          %li.dropdown-header
            = t "footer.#{params[:locale]}"
          - I18n.available_locales.each do |locale|
            %li
              = link_to url_for({ locale: locale }) do
                = t("footer.#{locale}")

app/views/shared/_navbar.html.haml
%nav.navbar.navbar-default.navbar-fixed-top
  .container-fluid
    .navbar-header
      %button.navbar-toggle.collapsed{ type: 'button', 'data-toggle' => 'collapse', 'data-target' => '#navbar' }
        %span.icon-bar
        %span.icon-bar
        %span.icon-bar
      = link_to root_path, class: 'navbar-brand' do
        = fa_icon :dashboard, text: t('navbar.title')

    #navbar.collapse.navbar-collapse
      %ul.nav.navbar-nav.navbar-right
        %li
          = link_to_sign_out destroy_client_session_path, method: :delete, only_link: true, label: t('navbar.logout'), right: true